# Get Invoices GET https://api.shipbob.com/2026-01/invoices Gets a paginated list of invoices, optionally filtered by invoice types and date range Reference: https://developer.shipbob.com/api/billing/get-invoices ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Get Invoices version: endpoint_billing.getInvoices paths: /2026-01/invoices: get: operationId: get-invoices summary: Get Invoices description: >- Gets a paginated list of invoices, optionally filtered by invoice types and date range tags: - - subpackage_billing parameters: - name: Cursor in: query description: > [Optional] A pagination token used to jump to first, last, next or previous pages. When supplied, it overrides all other filter parameters. required: false schema: type: string - name: FromDate in: query description: > [Optional] Start date for filtering invoices by invoice date. Default is current - 1 month date. required: false schema: type: string format: date-time - name: ToDate in: query description: > [Optional] End date for filtering invoices by invoice date. Default is current date. required: false schema: type: string format: date-time - name: InvoiceTypes in: query description: '[Optional] Filter invoices by invoice type.' required: false schema: type: array items: $ref: >- #/components/schemas/202601InvoicesGetParametersInvoiceTypesSchemaItems - name: PageSize in: query description: > Number of invoices to return per page (default: 100). Must be between 1 and 1000. required: false schema: type: integer - name: SortOrder in: query description: > Sort invoices by Invoice Date. Values - Ascending, Descending. Default: Descending. required: false schema: type: string - name: Authorization in: header description: Authentication using Personal Access Token (PAT) token or OAuth2 required: true schema: type: string responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/Billing.InvoiceDtoCursorPagedResponseV3' '400': description: Bad Request content: {} '401': description: Authorization missing or invalid content: {} '403': description: The provided credentials are not authorized to access this resource content: {} '422': description: Client Error content: {} '500': description: Server Error content: {} components: schemas: 202601InvoicesGetParametersInvoiceTypesSchemaItems: type: string enum: - value: Shipping - value: WarehouseStorage - value: Inbound Fee - value: Return - value: AdditionalFee - value: Credits BillingInvoiceDtoV3InvoiceType: type: string enum: - value: Shipping - value: Inbound Fee - value: WarehouseStorage - value: AdditionalFee - value: Return - value: Credits - value: BalanceAdjustment - value: Payment Billing.InvoiceDtoV3: type: object properties: amount: type: number format: double description: The total invoice amount. currency_code: type: - string - 'null' description: The ISO currency code used in the invoice (e.g., USD, EUR). invoice_date: type: - string - 'null' description: The invoice date in yyyy-mm-dd format. invoice_id: type: integer description: Unique identifier for the invoice. invoice_type: oneOf: - $ref: '#/components/schemas/BillingInvoiceDtoV3InvoiceType' - type: 'null' description: The type or category of the invoice. running_balance: type: number format: double description: The running balance of the account after this invoice is applied. Billing.InvoiceDtoCursorPagedResponseV3: type: object properties: first: type: - string - 'null' description: Go to the first page items: type: - array - 'null' items: $ref: '#/components/schemas/Billing.InvoiceDtoV3' description: List of invoices in the current page. last: type: - string - 'null' description: Go to the Last page next: type: - string - 'null' description: Go to the Next page prev: type: - string - 'null' description: Go to the Previous page ``` ## SDK Code Examples ```python Billing_getInvoices_example import requests url = "https://api.shipbob.com/2026-01/invoices" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Billing_getInvoices_example const url = 'https://api.shipbob.com/2026-01/invoices'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Billing_getInvoices_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.shipbob.com/2026-01/invoices" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Billing_getInvoices_example require 'uri' require 'net/http' url = URI("https://api.shipbob.com/2026-01/invoices") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Billing_getInvoices_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.shipbob.com/2026-01/invoices") .header("Authorization", "Bearer ") .asString(); ``` ```php Billing_getInvoices_example request('GET', 'https://api.shipbob.com/2026-01/invoices', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Billing_getInvoices_example using RestSharp; var client = new RestClient("https://api.shipbob.com/2026-01/invoices"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Billing_getInvoices_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2026-01/invoices")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```